Computer Security
[EN] securityvulns.ru no-pyccku


Autonomy KeyView multiple security vulnerabilities
updated since 29.07.2010
Published:26.08.2010
Source:
SecurityVulns ID:11023
Type:library
Threat Level:
5/10
Description:Buffer overflows, integer overflows, memory corruptions.
Affected:AUTONOMY : KeyView 10.4
 AUTONOMY : KeyView 10.9
CVE:CVE-2010-1525 (Integer underflow in the SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted size for an unspecified record type, which triggers a heap-based buffer overflow.)
 CVE-2010-1524 (The SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via unspecified vectors related to allocation of an array of pointers and "string indexing," which triggers memory corruption.)
 CVE-2010-0135 (Heap-based buffer overflow in the WordPerfect 5.x reader (wosr.dll), as used in Autonomy KeyView 10.4 and 10.9 and possibly other products, allows remote attackers to execute arbitrary code via unspecified vectors related to "data blocks.")
 CVE-2010-0134 (Integer signedness error in rtfsr.dll in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via a crafted \ls keyword in a list override table entry in an RTF file, which triggers a buffer overflow.)
 CVE-2010-0133 (Multiple stack-based buffer overflows in the SpreadSheet Lotus 123 reader (wkssr.dll) in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allow remote attackers to execute arbitrary code via unspecified vectors related to "certain records.")
 CVE-2010-0131 (Stack-based buffer overflow in the SpreadSheet Lotus 123 reader (wkssr.dll), as used in Autonomy KeyView 10.4 and 10.9, Symantec Mail Security, and possibly other products, allows remote attackers to execute arbitrary code via unspecified vectors related to floating point conversion in unknown record types.)
 CVE-2010-0126 (Heap-based buffer overflow in an unspecified library in Autonomy KeyView 10.4 and 10.9, as used in multiple IBM, Symantec, and other products, allows remote attackers to execute arbitrary code via a crafted compound file, as demonstrated using a Quattro Pro file, which is not properly handled by the Quattro speed reader (qpssr.dll).)
Original documentdocumentZDI, ZDI-10-157: IBM Lotus Notes Autonomy KeyView Office Shape Parsing Remote Code Execution Vulnerability (26.08.2010)
 documentZDI, ZDI-10-159: IBM Lotus Notes Autonomy KeyView WK3 Parsing Remote Code Execution Vulnerability (25.08.2010)
 documentZDI, ZDI-10-158: IBM Lotus Notes Autonomy KeyView WK3 Parsing Remote Code Execution Vulnerability (25.08.2010)
 documentZDI, ZDI-10-156: IBM Lotus Notes Autonomy KeyView Word Parsing Remote Code Execution Vulnerability (25.08.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView wkssr.dll Record Parsing Buffer Overflows (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView wkssr.dll String Indexing Vulnerability (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView wkssr.dll Integer Underflow Vulnerability (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView wosr.dll Data Block Parsing Buffer Overflow (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView rtfsr.dll RTF Parsing Signedness Error (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView wkssr.dll Floating Point Conversion Buffer Overflow (29.07.2010)
 documentSECUNIA, Secunia Research: Autonomy KeyView Compound File Parsing Buffer Overflow (29.07.2010)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod